import { Component, OnInit } from '@angular/core';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  // ajoutActive = false;
  assignmentSelectionne:Assignment;
  formVisible=false;


  assignments:Assignment[] = [
    {
      nom: 'Devoir Angular Buffa',
      dateDeRendu: new Date('03-20-2021'),
      rendu: false,
    },
    {
      nom: 'Devoir gRails',
      dateDeRendu: new Date('04-02-2021'),
      rendu: false,
    },
    {
      nom: 'Devoir BD Mopolo',
      dateDeRendu: new Date('03-01-2021'),
      rendu: true,
    },
  ];

  constructor() {}

  ngOnInit() {
    console.log('AVANT AFFICHAGE');
    /*
    setTimeout(() => {
      this.ajoutActive = true;
    }, 3000);
    */
  }


  assignmentClique(a) {
    this.assignmentSelectionne = a;
  }

  onAddAssignmentBtnClick() {
    this.formVisible=true;
  }

  onNouvelAssignment(event) {
    // l'event est l'assignment ajouté par le composant
    // fils qui a émis l'événement

    this.assignments.push(event);

    // on cache le formulaire, et on re-affiche la liste
    this.formVisible=false;
  }

  onDeleteAssignment(event) {
    // event = l'assignment à supprimer
    let index = this.assignments.indexOf(event);

    this.assignments.splice(index, 1);
  }
}
